# This file is generated from `/home/chris/src/emacs-19.15/oldXMenu/Makefile.in'.
# If you are thinking about editing it, you should seriously consider
# running `make oldXMenu/Makefile' at the top of the
# Emacs build tree instead, or editing
# `/home/chris/src/emacs-19.15/oldXMenu/Makefile.in' itself.
srcdir=
VPATH=
C_SWITCH_SITE=
C_SWITCH_SYSTEM=
C_SWITCH_X_SITE=
C_SWITCH_MACHINE=
CPPFLAGS=

EXTRA=insque.o

AS = as
CPP = cpp
LD = ld
TAGS = etags
RM = rm -f
MV = mv
LN = ln -s
RANLIB = ranlib
AR = ar cq
LS = ls
LINTOPTS = -axz
LINTLIBFLAG = -C
MAKE = make
STD_DEFINES =
CDEBUGFLAGS = -O
CFLAGS=-O
RM_CMD = $(RM) *.CKP *.ln *.BAK *.bak *.o core errs ,* *~ *.a \
	tags TAGS make.log

SRCS =  ${srcdir}/Activate.c \
	${srcdir}/AddPane.c \
	${srcdir}/AddSel.c \
	${srcdir}/ChgPane.c \
	${srcdir}/ChgSel.c \
	${srcdir}/Create.c \
	${srcdir}/DelPane.c \
	${srcdir}/DelSel.c \
	${srcdir}/Destroy.c \
	${srcdir}/Error.c \
	${srcdir}/EvHand.c \
	${srcdir}/FindPane.c \
	${srcdir}/FindSel.c \
	${srcdir}/InsPane.c \
	${srcdir}/InsSel.c \
	${srcdir}/Internal.c \
	${srcdir}/Locate.c \
	${srcdir}/Post.c \
	${srcdir}/Recomp.c \
	${srcdir}/SetAEQ.c \
	${srcdir}/SetFrz.c \
	${srcdir}/SetPane.c \
	${srcdir}/SetSel.c \
	${srcdir}/XDelAssoc.c \
	${srcdir}/XLookAssoc.c \
	${srcdir}/XCrAssoc.c \
	${srcdir}/XDestAssoc.c \
	${srcdir}/XMakeAssoc.c

OBJS =  Activate.o \
	AddPane.o \
	AddSel.o \
	ChgPane.o \
	ChgSel.o \
	Create.o \
	DelPane.o \
	DelSel.o \
	Destroy.o \
	Error.o \
	EvHand.o \
	FindPane.o \
	FindSel.o \
	InsPane.o \
	InsSel.o \
	Internal.o \
	Locate.o \
	Post.o \
	Recomp.o \
	SetAEQ.o \
	SetFrz.o \
	SetPane.o \
	SetSel.o \
      XDelAssoc.o XLookAssoc.o XCrAssoc.o XDestAssoc.o XMakeAssoc.o

ALL_CFLAGS=$(C_SWITCH_SITE) $(C_SWITCH_SYSTEM) $(C_SWITCH_X_SITE) \
  $(C_SWITCH_MACHINE) $(CPPFLAGS) $(CFLAGS) -DEMACS_BITMAP_FILES

.c.o:
	$(CC) -c ${ALL_CFLAGS} $<

all:: libXMenu11.a

libXMenu11.a: $(OBJS) $(EXTRA)
	$(RM) $@
	>rf $@ $(OBJS) $(EXTRA)
	$(AR) @rf
	-$(RANLIB) $@
#If running ranlib fails, probably there is none.
#That's ok.  So don't stop the build.

FRC.mostlyclean:
mostlyclean: FRC.mostlyclean
	rm -f libXMenu11.a ${OBJS} ${EXTRA}
clean: 
	$(RM_CMD)
distclean: clean
realclean: distclean

tags::
	$(TAGS) -t *.[ch]
